Show / Hide Table of Contents

# Interface IGroupUser

Represents a Discord user that is in a group.

##### Inherited Members

IUser.AvatarId
IUser.GetAvatarUrl(ImageFormat, UInt16)
IUser.GetDefaultAvatarUrl()
IUser.Discriminator
IUser.DiscriminatorValue
IUser.IsBot
IUser.IsWebhook
IUser.Username
IUser.GetOrCreateDMChannelAsync(RequestOptions)
ISnowflakeEntity.CreatedAt
IEntity<UInt64>.Id
IMentionable.Mention
IPresence.Activity
IPresence.Status
IPresence.ActiveClients
IVoiceState.IsDeafened
IVoiceState.IsMuted
IVoiceState.IsSelfDeafened
IVoiceState.IsSelfMuted
IVoiceState.IsSuppressed
IVoiceState.VoiceChannel
IVoiceState.VoiceSessionId
IVoiceState.IsStreaming

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface IGroupUser : IUser, ISnowflakeEntity, IEntity<ulong>, IMentionable, IPresence, IVoiceState

### Extension Methods

UserExtensions.SendMessageAsync(IUser, String, Boolean, Embed, RequestOptions)
UserExtensions.SendFileAsync(IUser, Stream, String, String, Boolean, Embed, RequestOptions)
UserExtensions.SendFileAsync(IUser, String, String, Boolean, Embed, RequestOptions)